import { ZdPage } from '@zeedhi/vue';

const routes = [
  {
    path: '/auth/login',
    name: 'login',
    component: ZdPage,
    props: {
      path: 'login',
      local: true,
    },
  },
  {
    path: '/',
    name: 'dashboard',
    component: ZdPage,
    props: () => ({
      path: 'dashboard/index',
      local: true,
    }),
  },
  {
    path: '/faturamento',
    name: 'faturamento',
    component: ZdPage,
    props: () => ({
      path: 'faturamento/faturamento',
      local: true,
    }),
  },
  {
    path: '/dashboard',
    name: 'dashboard',
    component: ZdPage,
    props: () => ({
      path: 'dashboard/index',
      local: true,
    }),
  },
  {
    path: '/cadAutomaticoPERform',
    name: 'cadAutomaticoPERform',
    component: ZdPage,
    props: () => ({
      path: 'cadAutomaticoPER/cadAutomaticoPERform',
      local: true,
    }),
  },
  {
    path: '/modules/:module/:page',
    name: 'microservice',
    component: () => import('../views/Microservice.vue'),
  },
  {
    path: '*',
    component: ZdPage,
    props: {
      path: 'notfound',
      local: true,
    },
  },
];

export default routes;
